package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivitySaveRequest struct {
	/*
	   保存活动参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivitySaveRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivitySaveItemDiscountActivityOperateRequest) *AlibabaRetailMarketingItemdiscountActivitySaveRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivitySaveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivitySaveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
